#ifndef ERRORCODES_H
#define ERRORCODES_H

/* No error */
#define ERR_NO_ERROR 0
/* Failed to read / verify the certificate list */
#define ERR_INVALID_INPUT_NO_LIST 2
/* Too much input for the installer process */
#define ERR_TOO_MUCH_INPUT 3
/* Invalid signature */
#define ERR_INVALID_SIGNATURE 4
/* No instructions */
#define ERR_NO_INSTRUCTIONS 5
/* Instructions not valid (certs not part of certificate list) */
#define ERR_INVALID_INSTRUCTIONS 6
/* Failed to access specified store */
#define ERR_STORE_ACCESS_DENIED 7
/* Failed to add certificate to store */
#define ERR_STORE_ADD_FAILURE 8
/* Generic invalid input */
#define ERR_INVALID_INPUT 9
/* Generic invalid certificate */
#define ERR_INVALID_CERT 10
/* Invalid parameters in call */
#define ERR_INVALID_PARAMS 11

/***********************************************************************
 * mozilla specific errors and warnings
 * errors range from 0x0081 to 0x08F
 * warnings from 0x0091 to 0x0098
 * Warnings might be ORed together ...
 */

/* Error: could not determine current users HOME */
#define ERR_MOZ_HOMELESS 0x0081
#define ERR_MOZ_INVALID_INPUT 0x0082

/* Warning: Failed to read profile.ini */
#define WARN_MOZ_FAILED_TO_OPEN_INI 0x0091
/* Warning: Some profile paths from profile.ini don't exist */
#define WARN_MOZ_PROFILE_DOES_NOT_EXIST 0x0092
/* Warning: could not install some certs */
#define WARN_MOZ_COULD_NOT_ADD_CERT 0x0094
/* Warning: could not remove some certs */
#define WARN_MOZ_COULD_NOT_REMOVE_CERT 0x0098

#endif
